--- title: "Sign Sub Csr" slug: "sign-sub-csr" tags: ["Private CA"] updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/sign-sub-csr" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Sign Sub Csr Available in Classic and VPC Issue a certificate to perform the role of an intermediate CA using a CA certificate. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/ca/{caTag}/sub/sign | ### Request headers For information about the headers common to all CA APIs, see [CA request headers](/docs/en/security-privateca#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `caTag` | String | Required | CA tag value - See [Get CA list](/docs/en/security-privateca-getcalist) | ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `period` | String | Required | Validity period (days) - 1 - 3650 | | `csrPem` | String | Required | CSR (PEM) - Enter a newline character (`\n`) after `-----BEGIN CERTIFICATE REQUEST-----` and in front of `-----END CERTIFICATE REQUEST-----` | ### Request example The following is a sample request. ``` curl --location --request POST 'https://pca.apigw.ntruss.com/api/v1/ca/********-********/sub/sign' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "period": "10", "csrPem": "-----BEGIN CERTIFICATE REQUEST-----\n{CSR}\n-----END CERTIFICATE REQUEST-----" }' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificate` | String | - | CA certificate (PEM) | | `caChain` | Array | - | Certificate chain (PEM) | | `ocspResponder` | String | - | Online Certificate Status Protocol (OCSP) URL | | `issuer` | String | - | Issuing CA (PEM) | | `serialNo` | String | - | Certificate serial number | ### Response status codes For information about the HTTP status codes common to all CA APIs, see [CA response status codes](/docs/en/security-privateca#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "code": "SUCCESS", "msg": "Success", "data": { "certificate": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----", "caChain": [ "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----", "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----", "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----" ], "ocspResponder": "", "issuer": "-----BEGIN CERTIFICATE-----\n{CA}\n-----END CERTIFICATE-----", "serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**" } } ```